package me.parsell.glowstonewire.core;

import com.google.gson.JsonArray;
import com.google.gson.JsonObject;

import me.parsell.glowstonewire.GlowstoneWire;

public class glowRecipes {
    public static JsonObject MODDED_TO_VANILLA;
    public static JsonObject VANILLA_TO_MODDED;

    public static void init(){
        // Vanilla Glowstone -> Modded Glowstone
        if(GlowstoneWire.CONFIG.addConversionRecipe || true) {
            // This is the json objects
            JsonObject cIngredientsKey = new JsonObject();
            JsonArray cIngredientsList = new JsonArray();
    
            // FOR VANILLA TO MODDED
            VANILLA_TO_MODDED = new JsonObject();
            
            // Header, defining what type of crafting recipe it is
            VANILLA_TO_MODDED.addProperty("type", "minecraft:crafting_shapeless");
    
            // Adding the ingredients
            cIngredientsKey.addProperty("item", "minecraft:glowstone_dust");
            cIngredientsList.add(cIngredientsKey);
            VANILLA_TO_MODDED.add("ingredients", cIngredientsList);
    
            // Adding the result
            cIngredientsKey.addProperty("item", "glowstonewire:glowstone_dust");
            VANILLA_TO_MODDED.add("result", cIngredientsKey);

            // Clearing out the old array for new
            cIngredientsList = new JsonArray();
    
            // FOR MODDED TO VANILLA
            MODDED_TO_VANILLA = new JsonObject();
    
            // Define reccipe type
            MODDED_TO_VANILLA.addProperty("type", "minecraft:crafting_shapeless");
    
            // Add ingredients
            cIngredientsKey.addProperty("item", "glowstonewire:glowstone_dust");
            cIngredientsList.add(cIngredientsKey);
            MODDED_TO_VANILLA.add("ingredients", cIngredientsList);
    
            // Add result
            cIngredientsKey.addProperty("item", "minecraft:glowstone_dust");
            MODDED_TO_VANILLA.add("result", cIngredientsKey);
        }
    }
}
